com.google.gwt.i18n.shared

## Class BidiFormatterBase.Factory<T extends BidiFormatterBase>

- java.lang.Object
- - com.google.gwt.i18n.shared.BidiFormatterBase.Factory<T>

Direct Known Subclasses:
  BidiFormatter.Factory, SafeHtmlBidiFormatter.Factory

Enclosing class:
  BidiFormatterBase

    protected abstract static class BidiFormatterBase.Factory<T extends BidiFormatterBase>
    extends java.lang.Object

Abstract factory class for BidiFormatterBase. BidiFormatterBase subclasses will usually have a non-abstract inner Factory class subclassed from this one, and use a static member of that class in order to prevent the needless creation of objects. For example, see `BidiFormatter`.

### Constructor Summary

Constructors
Constructor and Description
`Factory()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract T` `createInstance(HasDirection.Direction contextDir, boolean alwaysSpan)`
`T` `getInstance(HasDirection.Direction contextDir, boolean alwaysSpan)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Factory

    public Factory()

### Method Detail

#### createInstance

    public abstract T createInstance(HasDirection.Direction contextDir,
                                     boolean alwaysSpan)

#### getInstance

    public T getInstance(HasDirection.Direction contextDir,
                         boolean alwaysSpan)